Bulletin d'alerte Debian

DSA-598-1 yardradius -- Dépassement de tampon

Date du rapport :
25 novembre 2004
Paquets concernés :
yardradius
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le système de suivi des bogues Debian : Bogue 278384.
Dans le dictionnaire CVE du Mitre : CVE-2004-0987.
Plus de précisions :

Max Vozeler a remarqué que yardradius, le serveur d'authentification et de gestion de comptes YARD radius, contenait un débordement de pile similaire à celui de radiusd qui est référencé sous CAN-2001-0534. Ceci pouvait conduire à l'exécution de n'importe quel code en tant que superutilisateur.

Pour la distribution stable (Woody), ce problème a été corrigé dans la version 1.0.20-2woody1.

Pour la distribution instable (Sid), ce problème a été corrigé dans la version 1.0.20-15.

Nous vous recommandons de mettre à jour votre paquet yardradius immédiatement.

Corrigé dans :

Debian GNU/Linux 3.0 (woody)

Source :
http://security.debian.org/pool/updates/main/y/yardradius/yardradius_1.0.20-2woody1.dsc
http://security.debian.org/pool/updates/main/y/yardradius/yardradius_1.0.20-2woody1.diff.gz
http://security.debian.org/pool/updates/main/y/yardradius/yardradius_1.0.20.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/y/yardradius/yardradius_1.0.20-2woody1_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/y/yardradius/yardradius_1.0.20-2woody1_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/y/yardradius/yardradius_1.0.20-2woody1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/y/yardradius/yardradius_1.0.20-2woody1_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/y/yardradius/yardradius_1.0.20-2woody1_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/y/yardradius/yardradius_1.0.20-2woody1_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/y/yardradius/yardradius_1.0.20-2woody1_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/y/yardradius/yardradius_1.0.20-2woody1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/y/yardradius/yardradius_1.0.20-2woody1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/y/yardradius/yardradius_1.0.20-2woody1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/y/yardradius/yardradius_1.0.20-2woody1_sparc.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.